Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIdentityTransform Class Reference

`#include <vtkIdentityTransform.h>`

Inheritance diagram for vtkIdentityTransform:

[legend]
Collaboration diagram for vtkIdentityTransform:

[legend]
List of all members.

## Detailed Description

a transform that doesn't do anything

Date:
  2002/01/22 15:25:27

Revision:
  1.25

vtkIdentityTransform is a transformation which will simply pass coordinate data unchanged. All other transform types can also do this, however, the vtkIdentityTransform does so with much greater efficiency.

See also:
  vtkLinearTransform

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (83%)
  - Geveci, Berk (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkIdentityTransform.cxx)`
  - .`h` (`/Common/vtkIdentityTransform.h)`

Tests:
  vtkIdentityTransform (Tests)

Definition at line 48 of file vtkIdentityTransform.h.

## Public Types
typedef vtkLinearTransform | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | TransformPoints (vtkPoints *inPts, vtkPoints *outPts)
void | TransformNormals (vtkDataArray *inNms, vtkDataArray *outNms)
void | TransformVectors (vtkDataArray *inVrs, vtkDataArray *outVrs)
void | Inverse ()
vtkAbstractTransform * | MakeTransform ()
void | TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs)
void | InternalTransformPoint (const float in[3], float out[3])
void | InternalTransformPoint (const double in[3], double out[3])
void | InternalTransformNormal (const float in[3], float out[3])
void | InternalTransformNormal (const double in[3], double out[3])
void | InternalTransformVector (const float in[3], float out[3])
void | InternalTransformVector (const double in[3], double out[3])
void | InternalTransformDerivative (const float in[3], float out[3], float derivative[3][3])
void | InternalTransformDerivative (const double in[3], double out[3], double derivative[3][3])
## Static Public Methods
vtkIdentityTransform * | New ()
int | IsTypeOf (const char *type)
vtkIdentityTransform * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIdentityTransform ()
| ~vtkIdentityTransform ()
void | InternalDeepCopy (vtkAbstractTransform *t)

## Member Typedef Documentation

typedef vtkLinearTransform vtkIdentityTransform::Superclass

| Reimplemented from vtkLinearTransform. Definition at line 53 of file vtkIdentityTransform.h.

## Constructor & Destructor Documentation

vtkIdentityTransform::vtkIdentityTransform | ( |  | ) | `[protected]`

vtkIdentityTransform::~vtkIdentityTransform | ( |  | ) | `[protected]`

## Member Function Documentation

vtkIdentityTransform* vtkIdentityTransform::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkIdentityTransform::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLinearTransform.

int vtkIdentityTransform::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearTransform.

virtual int vtkIdentityTransform::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearTransform.

vtkIdentityTransform* vtkIdentityTransform::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::TransformPoints | ( | vtkPoints * | inPts,
|  | vtkPoints * | outPts
| ) | `[virtual]`

| Apply the transformation to a series of points, and append the results to outPts. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::TransformNormals | ( | vtkDataArray * | inNms,
|  | vtkDataArray * | outNms
| ) | `[virtual]`

| Apply the transformation to a series of normals, and append the results to outNms. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::TransformVectors | ( | vtkDataArray * | inVrs,
|  | vtkDataArray * | outVrs
| ) | `[virtual]`

| Apply the transformation to a series of vectors, and append the results to outVrs. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::TransformPointsNormalsVectors | ( | vtkPoints * | inPts,
|  | vtkPoints * | outPts,
|  | vtkDataArray * | inNms,
|  | vtkDataArray * | outNms,
|  | vtkDataArray * | inVrs,
|  | vtkDataArray * | outVrs
| ) | `[virtual]`

| Apply the transformation to a combination of points, normals and vectors. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::Inverse | ( |  | ) | `[inline, virtual]`

| Invert the transformation. Implements vtkAbstractTransform. Definition at line 81 of file vtkIdentityTransform.h.

void vtkIdentityTransform::InternalTransformPoint | ( | const float | in[3],
|  | float | out[3]
| ) | `[virtual]`

| This will calculate the transformation without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformPoint | ( | const double | in[3],
|  | double | out[3]
| ) | `[virtual]`

| This will calculate the transformation without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformNormal | ( | const float | in[3],
|  | float | out[3]
| ) | `[virtual]`

| This will calculate the transformation without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformNormal | ( | const double | in[3],
|  | double | out[3]
| ) | `[virtual]`

| This will calculate the transformation without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformVector | ( | const float | in[3],
|  | float | out[3]
| ) | `[virtual]`

| This will calculate the transformation without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformVector | ( | const double | in[3],
|  | double | out[3]
| ) | `[virtual]`

| This will calculate the transformation without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformDerivative | ( | const float | in[3],
|  | float | out[3],
|  | float | derivative[3][3]
| ) | `[virtual]`

| This will calculate the transformation as well as its derivative without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

void vtkIdentityTransform::InternalTransformDerivative | ( | const double | in[3],
|  | double | out[3],
|  | double | derivative[3][3]
| ) | `[virtual]`

| This will calculate the transformation as well as its derivative without calling Update. Meant for use only within other VTK classes. Reimplemented from vtkLinearTransform.

vtkAbstractTransform* vtkIdentityTransform::MakeTransform | ( |  | ) | `[virtual]`

| Make a transform of the same type. This will actually return the same transform. Implements vtkAbstractTransform.

void vtkIdentityTransform::InternalDeepCopy | ( | vtkAbstractTransform * | t | ) | `[protected, virtual]`

| Perform any subclass-specific DeepCopy. Reimplemented from vtkHomogeneousTransform.

The documentation for this class was generated from the following file:

- Common/vtkIdentityTransform.h